## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 13;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

#we're using a git commit because the pypi tar does not contain any tests but the github source does, the git commit that corresponds to the pypi release is being used
%global commit e12041cc230188342688fd7426e885fd7e7e9f48
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           python-autograd
Version:        1.3
Release:        %autorelease
Summary:        Efficiently computes derivatives of numpy code

License:        MIT
URL:            https://github.com/HIPS/autograd
Source0:        https://github.com/HIPS/autograd/archive/%{commit}/%{name}-%{shortcommit}.tar.gz

BuildArch:      noarch
BuildRequires:  python3-pytest
BuildRequires:  python3-devel

%global _description %{expand:
Autograd can automatically differentiate native Python and Numpy code. It can
handle a large subset of Python's features, including loops, ifs, recursion and
closures, and it can even take derivatives of derivatives of derivatives.  It
supports reverse-mode differentiation (a.k.a. backpropagation), which means it
can efficiently take gradients of scalar-valued functions with respect to
array-valued arguments, as well as forward-mode differentiation, and the two
can be composed arbitrarily. The main intended application of Autograd is
gradient-based optimization.}

%description %_description

%package -n python3-autograd
Summary:        %{summary}

%description -n python3-autograd %_description

%package doc
Summary:        %{summary}

%description doc
Documentation for %{name}.


%prep
%autosetup -n autograd-%{commit}

%generate_buildrequires
%pyproject_buildrequires -r



%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files autograd


%check
%pytest
%py3_check_import autograd


%files -n python3-autograd -f %{pyproject_files}
%doc README.md

%files doc
%doc examples
%license license.txt


%changelog
* Tue Feb 15 2022 hardeborlaa <adebola786@gmail.com> 1.3-13
- initial import to src.fp.o

* Tue Feb 15 2022 hardeborlaa <adebola786@gmail.com> 1.3-12
- updated spec doc

* Tue Feb 15 2022 hardeborlaa <adebola786@gmail.com> 1.3-11
- updated spec file

* Tue Feb 15 2022 hardeborlaa <adebola786@gmail.com> 1.3-10
- add comment

* Tue Feb 15 2022 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> 1.3-9
- chore: regenerate srcrpm

* Tue Feb 15 2022 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> 1.3-8
- feat: reformat description

* Tue Feb 15 2022 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> 1.3-7
- chore: clean up old files

* Tue Feb 15 2022 hardeborlaa <adebola786@gmail.com> 1.3-6
- spec and srpm updated

* Tue Feb 15 2022 hardeborlaa <adebola786@gmail.com> 1.3-5
- %autorelease and %autochangelog changes

* Tue Feb 15 2022 hardeborlaa <adebola786@gmail.com> 1.3-4
- license text included in its file

* Tue Feb 15 2022 hardeborlaa <adebola786@gmail.com> 1.3-3
- Add Spec and Srcrpm for Review

* Tue Feb 15 2022 hardeborlaa <adebola786@gmail.com> 1.3-2
- Add spec and tar file for Review

* Tue Feb 15 2022 hardeborlaa <adebola786@gmail.com> 1.3-1
- Add Spec and tar file
